Loading...
Searching...
No Matches
opengv::sac::MultiRansac< PROBLEM_T > Class Template Reference

`#include <MultiRansac.hpp>`

Inheritance diagram for opengv::sac::MultiRansac< PROBLEM_T >:

## Public Types

typedef PROBLEM_T | problem_t
typedef problem_t::model_t | model_t
Public Types inherited from opengv::sac::MultiSampleConsensus< PROBLEM_T >
typedef PROBLEM_T | problem_t
typedef problem_t::model_t | model_t

## Public Member Functions

| MultiRansac (int maxIterations=1000, double threshold=1.0, double probability=0.99)
| Constructor.
virtual | ~MultiRansac ()
| Destructor.
bool | computeModel (int debug_verbosity_level=0)
| Fit the model.
Public Member Functions inherited from opengv::sac::MultiSampleConsensus< PROBLEM_T >
| MultiSampleConsensus (int maxIterations=1000, double threshold=1.0, double probability=0.99)
| Constructor.
virtual | ~MultiSampleConsensus ()
| Destructor.

## Additional Inherited Members

Public Attributes inherited from opengv::sac::MultiSampleConsensus< PROBLEM_T >
int | max_iterations_
int | iterations_
double | threshold_
double | probability_
model_t | model_coefficients_
std::vector< std::vector< int > > | model_
std::vector< std::vector< int > > | inliers_
std::shared_ptr< PROBLEM_T > | sac_model_

## Detailed Description

template<typename PROBLEM_T>
class opengv::sac::MultiRansac< PROBLEM_T >

The Ransac sample consensus method, as outlined in [15]. This one is using multi-indices for homogeneous sampling over groups of samples.

## Member Typedef Documentation

## model_t

template<typename PROBLEM_T>

typedef problem_t::model_t opengv::sac::MultiRansac< PROBLEM_T >::model_t

The model we trying to fit

## problem_t

template<typename PROBLEM_T>

typedef PROBLEM_T opengv::sac::MultiRansac< PROBLEM_T >::problem_t

A child of MultiSampleConsensusProblem

## Member Function Documentation

## computeModel()

template<typename PROBLEM_T>

bool opengv::sac::MultiRansac< PROBLEM_T >::computeModel | ( | int | debug_verbosity_level = 0 | ) |

virtual

Fit the model.

Implements opengv::sac::MultiSampleConsensus< PROBLEM_T >.

The documentation for this class was generated from the following file:

- include/opengv/sac/MultiRansac.hpp